libapplayermodeslegacy_sources = [
  'pikaoperationadditionlegacy.c',
  'pikaoperationburnlegacy.c',
  'pikaoperationdarkenonlylegacy.c',
  'pikaoperationdifferencelegacy.c',
  'pikaoperationdividelegacy.c',
  'pikaoperationdodgelegacy.c',
  'pikaoperationgrainextractlegacy.c',
  'pikaoperationgrainmergelegacy.c',
  'pikaoperationhardlightlegacy.c',
  'pikaoperationhslcolorlegacy.c',
  'pikaoperationhsvhuelegacy.c',
  'pikaoperationhsvsaturationlegacy.c',
  'pikaoperationhsvvaluelegacy.c',
  'pikaoperationlightenonlylegacy.c',
  'pikaoperationmultiplylegacy.c',
  'pikaoperationscreenlegacy.c',
  'pikaoperationsoftlightlegacy.c',
  'pikaoperationsubtractlegacy.c',
]

libapplayermodeslegacy = static_library('applayermodeslegacy',
  libapplayermodeslegacy_sources,
  include_directories: [ rootInclude, rootAppInclude, ],
  c_args: '-DG_LOG_DOMAIN="Pika-Layer-Modes-Legacy"',
  dependencies: [
    cairo, gegl, gdk_pixbuf,
  ],
)
